StaxFeature (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.cxf.support.StaxFeature class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf.support
Class StaxFeature

    java.lang.Object
      org.apache.cxf.feature.AbstractFeature
          org.mule.transport.cxf.support.StaxFeature

    public class StaxFeature

extends org.apache.cxf.feature.AbstractFeature

Configures the StAX XMLInputFactory and XMLOutputFactory which CXF uses.

Constructor Summary
`StaxFeature()`

Method Summary
`String` | `getXmlInputFactory()`
`String` | `getXmlOutputFactory()`
`void` | `initialize(org.apache.cxf.Bus bus)`
`void` | `initialize(org.apache.cxf.endpoint.Client client, org.apache.cxf.Bus bus)`
`void` | `initialize(org.apache.cxf.endpoint.Server server, org.apache.cxf.Bus bus)`
`void` | `setXmlInputFactory(String xmlInputFactory)`
`void` | `setXmlOutputFactory(String xmlOutputFactory)`

Methods inherited from class org.apache.cxf.feature.AbstractFeature
`getActive, initializeProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaxFeature

    public StaxFeature()

Method Detail

### initialize

    public void initialize(org.apache.cxf.endpoint.Client client,
                           org.apache.cxf.Bus bus)

  Overrides:
    `initialize` in class `org.apache.cxf.feature.AbstractFeature`

### initialize

    public void initialize(org.apache.cxf.endpoint.Server server,
                           org.apache.cxf.Bus bus)

  Overrides:
    `initialize` in class `org.apache.cxf.feature.AbstractFeature`

### initialize

    public void initialize(org.apache.cxf.Bus bus)

  Overrides:
    `initialize` in class `org.apache.cxf.feature.AbstractFeature`

### getXmlInputFactory

    public String getXmlInputFactory()

### setXmlInputFactory

    public void setXmlInputFactory(String xmlInputFactory)

### getXmlOutputFactory

    public String getXmlOutputFactory()

### setXmlOutputFactory

    public void setXmlOutputFactory(String xmlOutputFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.